#ifndef _KNIGHTMOVE_BOARD_H
#define _KNIGHTMOVE_BOARD_H

#define START_X 1
#define START_Y 3

#define LEGALSQUARE(x,y) ((x) >= 1 && (x) <= 8 && (y) >= 1 && (y) <= 8)
#define ISSQUARE(x) ((x) == 1 || (x) == 4 || (x) == 9 || (x) == 16 || (x) == 25 || (x) == 36 || (x) == 49 || (x) == 64)
#define ISCUBE(x) ((x) == 1 || (x) == 8 || (x) == 27 || (x) == 64)
#define ISREVERSE(x,y)  ((((x) > 0) && ((y) > 0)) && (((((x) % 10) == ((y) / 10)) && (((x) / 10) == ((y) % 10))) || (((x) < 10) && ((y) < 10) && ((x) == (y)))))

extern int legal_moves[8][2];
extern int chess_board[9][9];

int testBoardComplete();
int testBoardPartial();
int testBoardPartialLine(int col, int row);

void printBoard();

void clearBoard();

#endif

